/*
    <javascriptresource>
    <name>Add Safety Guide</name>
    <menu>filter</menu>
    <type>automate</type>
    <about>Add safety guide.</about>
    <enableinfo>true</enableinfo>
    </javascriptresource>
*/
/*
  Add Safety Guide
      あかつきみさき（みくちぃP）

  このスクリプトについて
    指定したパーセンテージのセーフティーガイドを追加するスクリプト.

  使用方法
    ファイル→スクリプト→参照から実行.

  バージョン情報
    2018/03/04 Ver 1.0.0 Release
*/
/// <reference path="C:/Users/RUI/OneDrive/lib/photoshop.d.ts/dist/cs6/index.d.ts"/>
(function () {
    var data = {
        scriptName: "Add Safety Guide",
        version: 1.0
    };
    if (app.locale == "ja_JP") {
        data.scriptName = "セーフティガイドを追加";
    }
    function main() {
        var per = prompt("パーセンテージを入力してください", "10", data.scriptName);
        if (per == "" || isNaN(per) || per > 100 || per < 0) {
            per = 10;
        }
        actDoc.guides.add(Direction.VERTICAL, actDoc.width / 100 * per);
        actDoc.guides.add(Direction.VERTICAL, actDoc.width / 100 * (100 - per));
        actDoc.guides.add(Direction.HORIZONTAL, actDoc.height / 100 * per);
        actDoc.guides.add(Direction.HORIZONTAL, actDoc.height / 100 * (100 - per));
        return 0;
    }
    var actDoc = app.activeDocument;
    if (actDoc == null) {
        return 0;
    }
    actDoc.suspendHistory(data.scriptName, "main()");
}).call(this);
